Compatibilty of Intel Visual Fortran Composer XE 2013

Compatibilty of Intel Visual Fortran Composer XE 2013

Dear Intel,

I have recently purchased the Intel Visual Fortran Composer XE 2013 (Compiler 11.1) and I'm not sure which version of microsoft visual studio should I download. I would really appreciate if some guidance on selecting the right version of microsoft visual studio.

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

The Composer XE 2013 (incl. 13.1 Compilers) Release Notes provide details/guidance on the supported versions of Microsoft Visual Studio from which to choose. You can obtain those here: http://software.intel.com/en-us/articles/intel-fortran-composer-xe-2013-release-notes/.

Hope that helps!

If necessary, you can install without Visual Studio first and read the installation notes, then repeat installation after installing VS.

XE2013 and 2013 SP1 work with Visual Studio 2008, 2010, and 2012 (full service packs advisable).  Integration to use the Visual Studio GUI and debugger require VS Professional or higher.  VS Express doesn't allow integration of Fortran compilers.

11.1 is an older version of ifort which would not work with VS2012.

While I was writing, Kevin answered with the URL I couldn't find by search engine.

According to http://software.intel.com/sites/default/files/article/422666/release-not...

VS2012 is recommended for the current ifort.  It supports more modern C++ functionality, in case that's important. 

If you don't need C or C++, ifort (other than student version) will install Microsoft 2010 shell support automatically to support GUI and debugging.

Thank you. I appreciate the advice given.

Leave a Comment

Please sign in to add a comment. Not a member? Join today